ApiMcp servers
Perform bulk action on servers
Execute an action (start, stop, delete, sync) on multiple servers simultaneously. Returns individual results for each server.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://loading/api/v1/servers/bulk-action" \ -H "Content-Type: application/json" \ -d '{ "action": "start", "server_ids": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ] }'{
"results": [
{
"server_id": "820efca4-4a15-4ab7-82fc-9e76f6d61325",
"status": "string",
"error": "string"
}
],
"total": 0,
"succeeded": 0,
"failed": 0
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}Attach a skill to a server
Link a skill to an MCP server and register any script tools defined in the skill's workflow.json. Returns the list of tools that were registered.
Check all servers health
Check health of all MCP servers and update their statuses. Returns aggregated results with counts by status.
